summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xtools/xmlGenerator/lightRoutingUpdate.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/tools/xmlGenerator/lightRoutingUpdate.sh b/tools/xmlGenerator/lightRoutingUpdate.sh
index dd16362..e81fd3c 100755
--- a/tools/xmlGenerator/lightRoutingUpdate.sh
+++ b/tools/xmlGenerator/lightRoutingUpdate.sh
@@ -144,7 +144,15 @@ then
fi
log "Output file: $outputFilePath"
-$parameter getDomainsXML |sed 's/\r//' > "$outputFilePath"
+
+parameter_execute_if_exist () {
+ $parameter help | grep --quiet --word $1 || return $?
+ $parameter $1 | sed 's/\r//'
+}
+
+parameter_execute_if_exist getDomainsWithSettingsXML > "$outputFilePath" ||
+ # Fall back on old command
+ parameter_execute_if_exist getDomainsXML > "$outputFilePath"
log "The media server PFW domains have been change, please restart it to restore old domains"